package com.casic.missiles.modular.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.model.response.SuccessResponseData;
import com.casic.missiles.modular.system.dto.BusConfigDTO;
import com.casic.missiles.core.datascope.DataScope;
import com.casic.missiles.modular.system.model.BusConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备配置表 服务类
 * </p>
 *
 * @author stylefeng123
 * @since 2019-05-16
 */
public interface IBusConfigService extends IService<BusConfig> {
    List<BusConfigDTO> getConfigList(Page<BusConfigDTO> page,
                                            String keywords,
                                            String deptid,
                                            Long deviceType,
                                            DataScope dataScope);
    String getConcenCodeByDevId(Long devID);

    String getWellDeepByDevId(Long devID);

    void addConfig(BusConfigDTO busConfigDTO);

    void updateConfig(BusConfigDTO busConfigDTO);

    List<BusConfig> getListBydevId(Long devId);

    SuccessResponseData imp(MultipartFile uploadFile);

    void exp( List<BusConfigDTO> busConfigDTOList,HttpServletResponse response);


}



